#!/bin/bash
printf "\n\n-------------------------------------- DEPENDENCY INSTALLATION ---------------------------------------------\n";

set -e

# Setup Script Variables
_DEPENDENCIES="wget git xorg-server-xvfb \
         xz grep coreutils patch \
         gettext pkg-config \
         curl python3 libjack \
         python3-psutil python3-devel python-devel \
                automake \
                autoconf213 \
                zip \
                libX11-devel \
                libXt-devel \
                libXext-devel \
                gtk+3-devel  \
                libglib-devel  \
                pango-devel  \
                fontconfig-devel \
                freetype-devel \
                libcurl-devel \
                MesaLib-devel \
                libnotify-devel \
                libXrender-devel \
                pulseaudio-devel \
                openssl-devel \
                yasm \
                unzip \
                dbus-x11 \
                python \
                libffi-devel \
                nodejs-lts \
                cargo \
                rust \
                nasm \
                clang \
                llvm \
                alsa-lib-devel \
                jack-devel \
                perl \
                cbindgen \
                pixman-devel \
                libevent-devel libnotify-devel libvpx-devel \
                libXcomposite-devel libSM-devel libXdamage-devel \
                dbus-glib-devel \
                make"
                
# Installs Dependencies
printf "\nInstalling dependencies: $_DEPENDENCIES\n";
xbps-install -Sy $_DEPENDENCIES

ln -s /bin/clang /bin/cc
mkdir /usr/lib/nodejs-mozilla/
ln -s /usr/bin/ /usr/lib/nodejs-mozilla/bin
mkdir /usr/lib/nasm-mozilla
ln -s /usr/bin/ /usr/lib/nasm-mozilla/bin
ln -s /usr/bin/make /usr/bin/gmake
